import { useTranslations } from 'next-intl';
import { Link } from '@/i18n/navigation';

import LanguageSwitcher from '@/app/ui/components/LanguageSwitcher';

export default function Footer() {
  const t = useTranslations();

  return (
    <>
      <footer className="main-footer">
          <div className="main-footer-content">
              <nav className="main-footer-content-left">
                  <ul className="footer-nav-list">
                      <li>
                          <h6>{t('menu.subheading4')}</h6>
                          <ul className="footer-menu-list">
                              <li>
                                  <Link href="/terms-of-use">{t('menu.terms')}</Link>
                              </li>
                              <li>
                                  <Link href="/privacy-policy">{t('menu.privacy')}</Link>
                              </li>
                          </ul>
                      </li>
                  </ul>
                  <ul className="lang-chooser-list lang-chooser-list-mobile">
                    <LanguageSwitcher />
                  </ul>
              </nav>
              <div className="main-footer-content-right">
                  <ul className="footer-socials-list">
                      <li>
                          <Link href="https://t.me/mssgme" target="_blank" data-footer-social="Telegram">
                              <i className="fab fa-telegram"></i>
                          </Link>
                      </li>
                  </ul>
              </div>
          </div>
      </footer>
      <div className="cookie-message" id="cookie-message">
          <span>{t('cookies.message')}</span>
          <Link href="/privacy-policy">{t('cookies.link')}</Link>
          <div className="close-cookie" id="close-cookie"></div>
      </div>
    </>
  );
}
