import { LocaleType } from '@/i18n/i18n';

export const generateAuthUrl = (lang: LocaleType, type: 'login' | 'signup') => {
    const utmMideumMap = {
        login: 'login_click',
        signup: 'sign_up_click',
    }
    const baseUrl = `/auth/${type}`;
    const params = new URLSearchParams({
        lang,
        utm_source: 'website',
        utm_medium: utmMideumMap[type],
        utm_campaign: 'mssgme_website',
    });

    return `${baseUrl}?${params.toString()}`;
}