'use client';

import { LOCALES } from '@/i18n/i18n';
import { useLocale } from 'next-intl';
import { Link, usePathname } from '@/i18n/navigation';
import clsx from 'clsx';

export default function LanguageSwitcher() {
  const locale = useLocale();
  const pathname = usePathname();
  const visibleLocales = LOCALES.filter(lang => lang !== 'ru');

  return visibleLocales.map((lang) => (
    <li key={lang}>
        <Link href={pathname} locale={lang} className={clsx('lang-chooser', lang === locale && 'active')}>{lang.toUpperCase()}</Link>
    </li>
))
}
