import $ from 'jquery';

$(document).ready(function() {
    // Fixed header
    $(window).on('scroll load', function() {
        if ($(document).scrollTop() > 0) {
            $('.main-header').addClass('fixed');
        } else {
            $('.main-header').removeClass('fixed');
        }
    });

    // Share popup
    function windowPopup(url, width, height) {
        const left = screen.width / 2 - width / 2,
            top = screen.height / 2 - height / 2;

        window.open(
            url,
            '',
            'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,width=' +
                width +
                ',height=' +
                height +
                ',top=' +
                top +
                ',left=' +
                left
        );
    }

    // Share popup on click
    $('.article-share-list > li > a').on('click', function(e) {
        e.preventDefault();

        windowPopup($(this).attr('href'), 500, 300);
    });

    // FAQ slider
    function faqSlider() {
        const topControls = $('.faq-top-controls-list > li'),
            sliderList = $('.faq-sublists'),
            sliderListItem = sliderList.children('li'),
            questionPane = $('.faq-panes-list > li'),
            questionPaneHeading = questionPane.find('.faq-panes-list-item-header'),
            questionPaneAnswer = questionPane.find('.faq-panes-list-item-content'),
            hash = location.hash.substr(2);

        // Build
        topControls.eq(0).addClass('active');
        sliderListItem.eq(0).addClass('active');
        sliderListItem.outerWidth(sliderList.parent().outerWidth());

        // Scroll to hash in url
        if (hash != '') {
            const listIndex = hash.substring(0, hash.indexOf('-')) - 1,
                questionItem = $('#' + hash);

            topControls
                .removeClass('active')
                .eq(listIndex)
                .addClass('active');
            sliderListItem
                .removeClass('active')
                .eq(listIndex)
                .addClass('active');
            sliderList.css('transform', 'translateX(-' + listIndex * sliderListItem.outerWidth() + 'px)');
            questionItem
                .addClass('opened')
                .find(questionPaneAnswer)
                .slideDown(300);
            $('html, body')
                .delay(1300)
                .animate({ scrollTop: questionItem.offset().top - $('.main-header').outerHeight() - 30 }, 600);
        }

        // Fixed topics on desktop
        $(window).on('scroll', function() {
            if ($(window).width() > 1239) {
                if ($(window).scrollTop() > 70) {
                    $('.faq-top-controls-list').addClass('fixed');
                } else {
                    $('.faq-top-controls-list').removeClass('fixed');
                }
            }
        });

        // Rebuild on resize
        $(window).on('resize', function() {
            sliderListItem.outerWidth(sliderList.parent().outerWidth());
        });

        // Top slider controls event
        topControls.on('click', function() {
            const thisIndex = $(this).index();

            topControls
                .removeClass('active')
                .eq(thisIndex)
                .addClass('active');
            sliderListItem
                .removeClass('active')
                .eq(thisIndex)
                .addClass('active');
            sliderList.css('transform', 'translateX(-' + thisIndex * sliderListItem.outerWidth() + 'px)');
            questionPane
                .removeClass('opened')
                .find(questionPaneAnswer)
                .slideUp(1000);
            if ($(window).scrollTop() > 0) {
                $('html, body').animate({ scrollTop: 0 }, 1000);
            }
        });

        // Uncollapse item
        questionPaneHeading.on('click', function() {
            window.location.hash =
                '#q' +
                $(this)
                    .parent('li')
                    .attr('id');
            if (
                $(this)
                    .parent('li')
                    .hasClass('opened')
            ) {
                $(this)
                    .parent('li')
                    .removeClass('opened');
                $(this)
                    .next(questionPaneAnswer)
                    .slideUp(300);
            } else {
                $(this)
                    .parent('li')
                    .addClass('opened');
                $(this)
                    .next(questionPaneAnswer)
                    .slideDown(300);
            }
        });

        // Toggle accordion
        $('.accordeon-header').on('click', function() {
            const contentEl = $(this).next('.accordeon-content');

            if ($(this).hasClass('visible')) {
                contentEl.slideUp(300);
            } else {
                contentEl.slideDown(300);
            }

            $(this).toggleClass('visible');
        });
    }

    // Init slider
    if ($('.faq-container-right')) faqSlider();

    // Pricing FAQ list
    $('.section-page-pricing-faq-list > li')
        .eq(0)
        .children('h4')
        .addClass('active')
        .next('.section-page-pricing-faq-list-item-content')
        .slideDown(600);
    $('.section-page-pricing-faq-list > li > h4').on('click', function() {
        if ($(this).hasClass('active')) {
            $(this).removeClass('active');
            $(this)
                .next('.section-page-pricing-faq-list-item-content')
                .slideUp(600);
        } else {
            $(this).addClass('active');
            $(this)
                .next('.section-page-pricing-faq-list-item-content')
                .slideDown(600);
        }
    });

    // Mobile menu
    $('.mobile-menu-btn').on('click', function() {
        if ($(this).hasClass('active')) {
            $(this).removeClass('active');
            $('.mobile-menu').removeClass('active');
            $('body').removeClass('overflow-hidden');
        } else {
            $(this).addClass('active');
            $('.mobile-menu').addClass('active');
            $('body').addClass('overflow-hidden');
        }
    });

    // Pricing switcher
    $('#switcher').on('click', function() {
        const priceEl = $('#price');
        const switcherEl = $(this);
        const price = switcherEl.hasClass('active') ? priceEl.data('priceAnnually') : priceEl.data('priceMonthly');

        switcherEl.toggleClass('active');
        priceEl.html(price);
    });

    // Cookies functions
    function setCookie(name, value, days) {
        let expires = '';
        if (days) {
            var date = new Date();
            date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
            expires = '; expires=' + date.toUTCString();
        }
        document.cookie = name + '=' + (value || '') + expires + '; path=/';
    }
    function getCookie(name) {
        const nameEQ = name + '=';
        let ca = document.cookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') c = c.substring(1, c.length);
            if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
        }
        return null;
    }

    // Article links with images no underline
    if ($('.section-article-text')) {
        $('.section-article-text a').each(function() {
            $(this)
                .has('img')
                .addClass('no-underline');
        });
    }

    // Change language
    $('.lang-chooser').on('click', function() {
        const destinationLang = $(this).data('lang');

        setCookie('lang', destinationLang, 7);
    });

    // Accept cookie
    const termsAccepted = getCookie('terms_accept');

    if (!termsAccepted) {
        $('#cookie-message').addClass('visible');

        $('#close-cookie').on('click', function() {
            setCookie('terms_accept', 'true', 365);

            if ($(window).width() > 767) {
                $('#cookie-message').css({
                    transform: 'translateY(100px)',
                    opacity: 0,
                });
            } else {
                $('#cookie-message').css({
                    transform: 'translateY(-100px)',
                    opacity: 0,
                });
            }

            setTimeout(function() {
                $('#cookie-message').remove();
            }, 400);
        });
    } else {
        $('#cookie-message').remove();
    }
});
