declare module 'lax.js' {
  interface LaxAnimationValue {
    [key: string]: [string[], number[]];
  }

  interface LaxElementConfig {
    scrollY?: LaxAnimationValue;
    [key: string]: LaxAnimationValue | undefined;
  }

  interface Lax {
    init: () => void;
    addDriver: (name: string, callback: () => number) => void;
    addElement: (selector: string, config: LaxElementConfig) => void;
    addElements: (selector: string, config: LaxElementConfig) => void;
    removeElement: (selector: string) => void;
    removeElements: (selector: string) => void;
    updateElements: () => void;
    destroy: () => void;
  }

  const lax: Lax;
  export default lax;
}
